Index: /trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 253)
@@ -3,5 +3,8 @@
      $           plat,plon,parea,
      $           prad,pg,pr,pcpp)
-!
+
+      use radinc_h, only : naerkind
+
+
 !=======================================================================
 !
@@ -70,4 +73,6 @@
       logical :: parameter, doubleq=.false.
 
+      real psurf,pN2 ! added by RW for Gliese 581d N2+CO2
+
       rad=prad
       daysec=pdaysec
@@ -78,7 +83,5 @@
       rcp=r/cpp
 
-
       avocado = 6.02214179e23   ! added by RW
-
 
 ! --------------------------------------------------------
@@ -117,5 +120,4 @@
          PRINT*,'--------------------------------------------'
 
-
          write(*,*) "Run with or without tracer transport ?"
          tracer=.false. ! default value
@@ -168,29 +170,4 @@
          write(*,*) " enertest = ",enertest
 
-         write(*,*) "Save EOF profiles in file 'profiles' for ",
-     &              "Climate Database?"
-         calleofdump=.false. ! default value
-         call getin("calleofdump",calleofdump)
-         write(*,*) " calleofdump = ",calleofdump
-
-         write(*,*) "Dust scenario:"
-         iaervar=3 ! default value
-         call getin("iaervar",iaervar)
-         write(*,*) " iaervar = ",iaervar
-
-         write(*,*) "Dust vertical distribution:"
-         write(*,*) "(=1 Dust opt.deph read in startfi;",
-     & " =2 Viking scenario; =3 MGS scenario,",
-     & " =4 Mars Year 24 from TES assimilation)"
-         iddist=3 ! default value
-         call getin("iddist",iddist)
-         write(*,*) " iddist = ",iddist
-
-         write(*,*) "Dust top altitude (km). (Matters only if iddist=1)"
-         topdustref= 90.0 ! default value
-         call getin("topdustref",topdustref)
-         write(*,*) " topdustref = ",topdustref
-
-
          write(*,*) "call radiative transfer ?"
          callrad=.true. ! default value
@@ -203,10 +180,4 @@
          write(*,*) " corrk = ",corrk
 
-!         write(*,*) "call NLTE radiative schemes ?",
-!     &              "(matters only if callrad=T)"
-!         callnlte=.false. ! default value
-!         call getin("callnlte",callnlte)
-!         write(*,*) " callnlte = ",callnlte
-         
          write(*,*) "call gaseous absorption in the visible bands?",
      &              "(matters only if callrad=T)"
@@ -242,4 +213,15 @@
          write(*,*) " co2cond = ",co2cond
 
+         write(*,*) "CO2 supersaturation level ?"
+         co2supsat=1.0 ! default value
+         call getin("co2supsat",co2supsat)
+         write(*,*) " co2supsat = ",co2supsat
+
+         write(*,*) "Radiative timescale for Newtonian cooling ?"
+         tau_relax=30. ! default value
+         call getin("tau_relax",tau_relax)
+         write(*,*) " tau_relax = ",tau_relax
+         tau_relax=tau_relax*24*3600 ! convert Earth days --> seconds
+
          write(*,*)"call thermal conduction in the soil ?"
          callsoil=.true. ! default value
@@ -247,11 +229,5 @@
          write(*,*) " callsoil = ",callsoil
          
-!         write(*,*)"call Lott's gravity wave/subgrid topography ",
-!     &             "scheme ?"
-!         calllott=.true. ! default value
-!         call getin("calllott",calllott)
-!         write(*,*)" calllott = ",calllott
-
-         write(*,*)"rad.transfer is computed every iradia",
+         write(*,*)"Rad transfer is computed every iradia",
      &             " physical timestep"
          iradia=1 ! default value
@@ -264,8 +240,13 @@
          write(*,*)" rayleigh = ",rayleigh
 
-         write(*,*)"Parametrized Earth-like ozone absorption ?"
-         ozone=.false.      
-         call getin("ozone",ozone)
-         write(*,*) " ozone = ",ozone
+         write(*,*) "Use blackbody for stellar spectrum ?"
+         stelbbody=.false. ! default value
+         call getin("stelbbody",stelbbody)
+         write(*,*) " stelbbody = ",stelbbody
+
+         write(*,*) "Stellar blackbody temperature ?"
+         stelTbb=5800.0 ! default value
+         call getin("stelTbb",stelTbb)
+         write(*,*) " stelTbb = ",stelTbb
 
          write(*,*)"Output mean OLR in 1D?"
@@ -279,4 +260,73 @@
          write(*,*)" specOLR = ",specOLR
 
+         write(*,*)"Operate in kastprof mode?"
+         kastprof=.false.
+         call getin("kastprof",kastprof)
+         write(*,*)" kastprof = ",kastprof
+
+         write(*,*)"Surface temperature in kastprof mode?"
+         Tsurfk=273.15
+         call getin("Tsurfk",Tsurfk)
+         write(*,*)" Tsurfk = ",Tsurfk
+
+! Test of incompatibility:
+! if kastprof used, we must be in 1D
+         if (kastprof.and.(ngridmx.gt.1)) then
+           print*,'kastprof can only be used in 1D!'
+           call abort
+         endif
+
+         write(*,*)"Stratospheric temperature for kastprof mode?"
+         Tstrat=167.0
+         call getin("Tstrat",Tstrat)
+         write(*,*)" Tstrat = ",Tstrat
+
+         write(*,*)"Remove lower boundary?"
+         noradsurf=.false.
+         call getin("noradsurf",noradsurf)
+         write(*,*)" noradsurf = ",noradsurf
+
+! Tests of incompatibility:
+         if (noradsurf.and.callsoil) then
+           print*,'noradsurf not compatible with soil scheme!'
+           call abort
+         endif
+         if (noradsurf.and.calldifv) then
+           print*,'noradsurf not compatible with a boundary layer!'
+           call abort
+         endif
+
+
+         write(*,*)"Use Newtonian cooling for radiative transfer?"
+         newtonian=.false.
+         call getin("newtonian",newtonian)
+         write(*,*)" newtonian = ",newtonian
+
+! Tests of incompatibility:
+         if (newtonian.and.corrk) then
+           print*,'newtonian not compatible with correlated-k!'
+           call abort
+         endif
+         if (newtonian.and.calladj) then
+           print*,'newtonian not compatible with adjustment!'
+           call abort
+         endif
+         if (newtonian.and.calldifv) then
+           print*,'newtonian not compatible with a boundary layer!'
+           call abort
+         endif
+
+         write(*,*)"Test physics timescale in 1D?"
+         testradtimes=.false.
+         call getin("testradtimes",testradtimes)
+         write(*,*)" testradtimes = ",testradtimes
+
+! Test of incompatibility:
+! if testradtimes used, we must be in 1D
+         if (testradtimes.and.(ngridmx.gt.1)) then
+           print*,'testradtimes can only be used in 1D!'
+           call abort
+         endif
+
          write(*,*)"Default planetary temperature?"
          tplanet=215.0
@@ -299,15 +349,26 @@
          write(*,*)" nearco2cond = ",nearco2cond
 
+!     1D solar zenith angle
+         write(*,*)"Solar zenith angle in 1D?"
+         szangle=60.0
+         call getin("szangle",szangle)
+         write(*,*)" szangle = ",szangle
+
 ! TRACERS:
 
-         write(*,*)"Transported dust ? (if >0, use 'dustbin' dust bins)"
-         dustbin=0 ! default value
-         call getin("dustbin",dustbin)
-         write(*,*)" dustbin = ",dustbin
-
-         write(*,*)"Radiatively active aerosols?"
-         aerofixed=.true. ! default value
+         write(*,*)"Fixed / inactive aerosol distribution?"
+         aerofixed=.true.       ! default value
          call getin("aerofixed",aerofixed)
          write(*,*)" aerofixed = ",aerofixed
+
+         write(*,*)"Varying H2O cloud fraction?"
+         CLFvarying=.false.     ! default value
+         call getin("CLFvarying",CLFvarying)
+         write(*,*)" CLFvarying = ",CLFvarying
+
+         write(*,*)"Value of fixed H2O cloud fraction?"
+         CLFfixval=1.0                ! default value
+         call getin("CLFfixval",CLFfixval)
+         write(*,*)" CLFfixval = ",CLFfixval
 
          write(*,*)"Number mixing ratio of CO2 ice particles:"
@@ -321,4 +382,16 @@
          write(*,*)" Nmix_h2o = ",Nmix_h2o
 
+         write(*,*)"Opacity of dust (if used):"
+         dusttau=0. ! default value
+         call getin("dusttau",dusttau)
+         write(*,*)" dusttau = ",dusttau
+
+! Test of incompatibility:
+! if less than 3 aerosols, then dusttau should = 0
+         if ((naerkind.lt.3).and.dusttau.gt.0.) then
+           print*,'Need naer>2 for radiatively active dust!'
+           stop
+         endif
+
          write(*,*)"Is the variable gas species radiatively active?"
          varactive=.false.
@@ -336,9 +409,4 @@
          write(*,*)" satval = ",satval
 
-!         write(*,*)"Radiatively active dust ? (matters if dustbin>0)"
-!         active=.false. ! default value
-!         call getin("active",active)
-!         write(*,*)" active = ",active
-
 ! Test of incompatibility:
 ! if no tracers, then aerofixed should be true
@@ -356,65 +424,4 @@
 
 ! Test of incompatibility:
-! if active is used, then dustbin should be > 0
-
-!         if (active.and.(dustbin.lt.1)) then
-!           print*,'if active is used, then dustbin should > 0'
-!           stop
-!         endif
-
-!         write(*,*)"use mass and number mixing ratios to predict",
-!     &             " dust size ?"
-!         doubleq=.false. ! default value
-!         call getin("doubleq",doubleq)
-!         write(*,*)" doubleq = ",doubleq
-
-! Test of incompatibility:
-! if doubleq is used, then dustbin should be 1
-
-!         if (doubleq.and.(dustbin.ne.1)) then
-!           print*,'if doubleq is used, then dustbin should be 1'
-!           stop
-!         endif
-
-!         write(*,*)"dust lifted by GCM surface winds ?"
-!         lifting=.false. ! default value
-!         call getin("lifting",lifting)
-!         write(*,*)" lifting = ",lifting
-
-! Test of incompatibility:
-! if lifting is used, then dustbin should be > 0
-
-!         if (lifting.and.(dustbin.lt.1)) then
-!           print*,'if lifting is used, then dustbin should > 0'
-!           stop
-!         endif
-
-!         write(*,*)" dust lifted by dust devils ?"
-!         callddevil=.false. !default value
-!         call getin("callddevil",callddevil)
-!         write(*,*)" callddevil = ",callddevil
-         
-
-! Test of incompatibility:
-! if dustdevil is used, then dustbin should be > 0
-
-!         if (callddevil.and.(dustbin.lt.1)) then
-!           print*,'if dustdevil is used, then dustbin should > 0'
-!           stop
-!         endif
-
-!         write(*,*)"Dust scavenging by CO2 snowfall ?"
-!         scavenging=.false. ! default value
-!         call getin("scavenging",scavenging)
-!         write(*,*)" scavenging = ",scavenging
-         
-
-! Test of incompatibility:
-! if scavenging is used, then dustbin should be > 0
-
-!         if (scavenging.and.(dustbin.lt.1)) then
-!           print*,'if scavenging is used, then dustbin should > 0'
-!           stop
-!         endif
 
          write(*,*) "Gravitationnal sedimentation ?"
@@ -423,24 +430,6 @@
          write(*,*) " sedimentation = ",sedimentation
 
-!         write(*,*) "includes water ice",
-!     &              "(if true, 'water' must also be .true.)"
-!         iceparty=.false. ! default value
-!         call getin("iceparty",iceparty)
-!         write(*,*) " iceparty = ",iceparty
-
-!         write(*,*) "Radiatively active transported atmospheric ",
-!     &              "water ice ?"
-!         activice=.false. ! default value
-!         call getin("activice",activice)
-!         write(*,*) " activice = ",activice
-
-
-! Test of incompatibility:
-! if activice is used, then iceparty should be used too
-
-!         if (activice.and..not.iceparty) then
-!           print*,'if activice is used, iceparty should be used too'
-!           stop
-!         endif
+
+! Test of incompatibility:
 
          write(*,*) "Compute water cycle ?"
@@ -464,4 +453,29 @@
          write(*,*) " rainthreshold = ",rainthreshold
 
+         write(*,*) "Include surface hydrology ?"
+         hydrology=.false. ! default value
+         call getin("hydrology",hydrology)
+         write(*,*) " hydrology = ",hydrology
+
+         write(*,*) "Evolve surface water sources ?"
+         sourceevol=.false. ! default value
+         call getin("sourceevol",sourceevol)
+         write(*,*) " sourceevol = ",sourceevol
+
+         write(*,*) "Snow albedo ?"
+         albedosnow=0.5         ! default value
+         call getin("albedosnow",albedosnow)
+         write(*,*) " albedosnow = ",albedosnow
+
+         write(*,*) "Maximum ice thickness ?"
+         maxicethick=2.0         ! default value
+         call getin("maxicethick",maxicethick)
+         write(*,*) " maxicethick = ",maxicethick
+
+         write(*,*) "Freezing point of seawater ?"
+         Tsaldiff=-1.8          ! default value
+         call getin("Tsaldiff",Tsaldiff)
+         write(*,*) " Tsaldiff = ",Tsaldiff
+
 ! Test of incompatibility:
 ! if watercond is used, then water should be used too
@@ -472,106 +486,8 @@
          endif
 
-         write(*,*) "photochemistry: include chemical species"
-         photochem=.false. ! default value
-         call getin("photochem",photochem)
-         write(*,*) " photochem = ",photochem
-
-
-! THERMOSPHERE
-
-         write(*,*) "call thermosphere ?"
-         callthermos=.false. ! default value
-         call getin("callthermos",callthermos)
-         write(*,*) " callthermos = ",callthermos
-         
-         write(*,*) " water included without cycle ",
-     &              "(only if water=.false.)"
-         thermoswater=.false. ! default value
-         call getin("thermoswater",thermoswater)
-         write(*,*) " thermoswater = ",thermoswater
-
-         write(*,*) "call thermal conduction ?",
-     &    " (only if callthermos=.true.)"
-         callconduct=.false. ! default value
-         call getin("callconduct",callconduct)
-         write(*,*) " callconduct = ",callconduct
-
-         write(*,*) "call EUV heating ?",
-     &   " (only if callthermos=.true.)"
-         calleuv=.false.  ! default value
-         call getin("calleuv",calleuv)
-         write(*,*) " calleuv = ",calleuv
-
-         write(*,*) "call molecular viscosity ?",
-     &   " (only if callthermos=.true.)"
-         callmolvis=.false. ! default value
-         call getin("callmolvis",callmolvis)
-         write(*,*) " callmolvis = ",callmolvis
-
-         write(*,*) "call molecular diffusion ?",
-     &   " (only if callthermos=.true.)"
-         callmoldiff=.false. ! default value
-         call getin("callmoldiff",callmoldiff)
-         write(*,*) " callmoldiff = ",callmoldiff
-         
-         write(*,*) "call thermospheric photochemistry ?",
-     &   " (only if callthermos=.true.)"
-         thermochem=.false. ! default value
-         call getin("thermochem",thermochem)
-         write(*,*) " thermochem = ",thermochem
-
-         write(*,*) "date for solar flux calculation:",
-     &   " (1985 < date < 2002)"
-         write(*,*) "(Solar min=1996.4 ave=1993.4 max=1990.6)"
-         solarcondate=1993.4 ! default value
-         call getin("solarcondate",solarcondate)
-         write(*,*) " solarcondate = ",solarcondate
-         
-
-         if (.not.callthermos) then
-           if (thermoswater) then
-             print*,'if thermoswater is set, callthermos must be true'
-             stop
-           endif          
-           if (callconduct) then
-             print*,'if callconduct is set, callthermos must be true'
-             stop
-           endif        
-           if (calleuv) then
-             print*,'if calleuv is set, callthermos must be true'
-             stop
-           endif         
-           if (callmolvis) then
-             print*,'if callmolvis is set, callthermos must be true'
-             stop
-           endif        
-           if (callmoldiff) then
-             print*,'if callmoldiff is set, callthermos must be true'
-             stop
-           endif          
-           if (thermochem) then
-             print*,'if thermochem is set, callthermos must be true'
-             stop
-           endif          
-        endif
-
-! Test of incompatibility:
-! if photochem is used, then water should be used too
-
-         if (photochem.and..not.water) then
-           print*,'if photochem is used, water should be used too'
-           stop
-         endif
-
-! if callthermos is used, then thermoswater should be used too 
-! (if water not used already)
-
-         if (callthermos .and. .not.water) then
-           if (callthermos .and. .not.thermoswater) then
-             print*,'if callthermos is used, water or thermoswater 
-     &               should be used too'
-             stop
-           endif
-         endif
+         mugaz=0.
+         cpp=0.
+         call su_gases
+         call calc_cpp_mugaz
 
          PRINT*,'--------------------------------------------'
@@ -594,69 +510,5 @@
       PRINT*,'        or each ',iradia*dtphys,' seconds'
       PRINT*
-! --------------------------------------------------------------
-!  Managing the Longwave radiative transfer
-! --------------------------------------------------------------
-
-!     In most cases, the run just use the following values :
-!     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-      callemis=.true.     
-!     ilwd=10*int(daysec/dtphys) ! bug before 22/10/01       
-      ilwd=10*int(daysec/dtphys) 
-      ilwn=2               
-      linear=.true.        
-      ncouche=3
-      alphan=0.4
-      ilwb=2
-      semi=0
-
-c$$$!     BUT people working hard on the LW may want to read them in 'radia.def' 
-c$$$!     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-c$$$
-c$$$      OPEN(99,file='radia.def',status='old',form='formatted'
-c$$$     .     ,iostat=ierr)
-c$$$      IF(ierr.EQ.0) THEN
-c$$$         write(*,*) 'inifis: Reading radia.def !!!'
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) callemis
-c$$$         WRITE(*,8000) ch1,callemis
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) iradia
-c$$$         WRITE(*,8001) ch1,iradia
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) ilwd
-c$$$         WRITE(*,8001) ch1,ilwd
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) ilwn
-c$$$         WRITE(*,8001) ch1,ilwn
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) linear
-c$$$         WRITE(*,8000) ch1,linear
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) ncouche
-c$$$         WRITE(*,8001) ch1,ncouche
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) alphan
-c$$$         WRITE(*,*) ch1,alphan
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) ilwb
-c$$$         WRITE(*,8001) ch1,ilwb
-c$$$
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,'(l1)') callg2d
-c$$$         WRITE(*,8000) ch1,callg2d
-c$$$
-c$$$         READ(99,fmt='(a)') ch1
-c$$$         READ(99,*) semi
-c$$$         WRITE(*,*) ch1,semi
-c$$$      end if
-c$$$      CLOSE(99)
+
 
 !-----------------------------------------------------------------------
@@ -678,151 +530,4 @@
       pi=2.*asin(1.) ! NB: pi is a common in comcstfi.h
 
-!     managing the tracers, and tests:
-!     -------------------------------
-
-      if(tracer) then
-
-!          when photochem is used, nqchem_min is the rank
-!          of the first chemical species
-
-! Ehouarn: nqchem_min is now meaningless and no longer used
-!       nqchem_min = 1
-       if (photochem .or. callthermos) then
-         chem = .true.
-       end if
-
-       if (water .or. thermoswater)then
-          h2o = .true.
-       else
-          h2o = .false.
-       endif
-
-!          TESTS
-
-       print*,'inifis: TRACERS:'
-
-c$$$       if ((doubleq).and.(h2o).and.
-c$$$     $     (chem).and.(iceparty)) then
-c$$$         print*,' 2 dust tracers (doubleq)'
-c$$$         print*,' 1 water vapour tracer'
-c$$$         print*,' 1 water ice tracer'
-c$$$         print*,nqmx-4,' chemistry tracers'
-c$$$       endif
-c$$$
-c$$$       if ((doubleq).and.(h2o).and.
-c$$$     $     (chem).and..not.(iceparty)) then
-c$$$         print*,' 2 dust tracers (doubleq)'
-c$$$         print*,' 1 water vapour tracer'
-c$$$         print*,nqmx-3,' chemistry tracers'
-c$$$       endif
-c$$$
-c$$$       if ((doubleq).and.(h2o).and.
-c$$$     $     .not.(chem).and.(iceparty)) then
-c$$$         print*,' 2 dust tracers (doubleq)'
-c$$$         print*,' 1 water vapour tracer'
-c$$$         print*,' 1 water ice tracer'
-c$$$         if (nqmx.ne.4) then
-c$$$           print*,'nqmx should be 4 with these options.'
-c$$$		   print*,'(or check callphys.def)'
-c$$$           stop
-c$$$         endif
-c$$$       endif
-c$$$
-c$$$       if ((doubleq).and.(h2o).and.
-c$$$     $     .not.(chem).and..not.(iceparty)) then
-c$$$         print*,' 2 dust tracers (doubleq)'
-c$$$         print*,' 1 water vapour tracer'
-c$$$         if (nqmx.ne.3) then
-c$$$           print*,'nqmx should be 3 with these options...'
-c$$$		   print*,'(or check callphys.def)'
-c$$$           stop
-c$$$         endif
-c$$$       endif
-c$$$
-c$$$       if ((doubleq).and..not.(h2o)) then
-c$$$         print*,' 2 dust tracers (doubleq)'
-c$$$         if (nqmx.ne.2) then
-c$$$           print*,'nqmx should be 2 with these options...'
-c$$$		   print*,'(or check callphys.def)'
-c$$$           stop
-c$$$         endif
-c$$$       endif
-
-       if (.not.(doubleq).and.(h2o).and.
-!     $     (chem).and.(iceparty)) then
-     $     (chem).and.(watercond)) then
-         if (dustbin.gt.0) then
-           print*,dustbin,' dust bins'
-         endif
-         print*,nqmx-2-dustbin,' chemistry tracers'
-         print*,' 1 water vapour tracer'
-         print*,' 1 water ice tracer'
-       endif
-
-       if (.not.(doubleq).and.(h2o).and.
-!     $     (chem).and..not.(iceparty)) then
-     $     (chem).and..not.(watercond)) then
-         if (dustbin.gt.0) then
-           print*,dustbin,' dust bins'
-         endif
-         print*,nqmx-1-dustbin,' chemistry tracers'
-         print*,' 1 water vapour tracer'
-       endif
-
-       if (.not.(doubleq).and.(h2o).and.
-!     $     .not.(chem).and.(iceparty)) then
-     $     .not.(chem).and.(watercond)) then
-         if (dustbin.gt.0) then
-           print*,dustbin,' dust bins'
-         endif
-         print*,' 1 water vapour tracer'
-         print*,' 1 water ice tracer'
-
-         if (nqmx.gt.(dustbin+2)) then
-           print*,'nqmx should be ',(dustbin+2),
-     $            ' with these options...'
-		   print*,'(or check callphys.def)'
-         endif
-         if (nqmx.lt.(dustbin+2)) then
-            print*,dustbin,' dust bins, but this should be ok I think.'
-!           stop
-         endif
-       endif
-
-       if (.not.(doubleq).and.(h2o).and.
-!     $     .not.(chem).and..not.(iceparty)) then
-     $     .not.(chem).and..not.(watercond)) then
-         if (dustbin.gt.0) then
-           print*,dustbin,' dust bins'
-         endif
-         print*,' 1 water vapour tracer'
-         if (nqmx.gt.(dustbin+1)) then
-           print*,'nqmx should be ',(dustbin+1),
-     $            ' with these options...'
-		   print*,'(or check callphys.def)'
-         if (nqmx.lt.(dustbin+1)) then
-           stop
-         endif
-         endif
-       endif
-
-!       if (.not.(doubleq).and..not.(h2o)) then
-!         if (dustbin.gt.0) then
-!           print*,dustbin,' dust bins'
-!           if (nqmx.ne.dustbin) then
-!             print*,'nqmx should be ',dustbin,
-!     $              ' with these options...'
-!             print*,'(or check callphys.def)'
-!             stop
-!           endif
-!         else
-           print*,'dustbin=',dustbin,
-     $            ': tracer should be F with these options...'
-     $           ,'UNLESS you just want to move tracers around '
-!         endif
-!       endif
-
-      endif ! of if (tracer)
-
       RETURN
       END
Index: /trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F	(revision 253)
@@ -1,4 +1,4 @@
       SUBROUTINE iniorbit
-     $     (paphelie,pperiheli,pyear_day,pperi_day,pobliq)
+     $     (papoastr,pperiastr,pyear_day,pperi_day,pobliq)
       IMPLICIT NONE
 
@@ -13,5 +13,5 @@
 c    Initialisation du sous programme orbite qui calcule
 c    a une date donnee de l'annee de duree year_day commencant
-c    a l'equinoxe de printemps et dont le perihelie se situe
+c    a l'equinoxe de printemps et dont le periastre se situe
 c    a la date peri_day, la distance au soleil et la declinaison.
 c
@@ -26,6 +26,6 @@
 c   Input:
 c   ------
-c   aphelie       \   aphelie et perihelie de l'orbite
-c   periheli      /   en millions de kilometres.
+c   apoastr       \   apoastron and periastron of the orbit
+c   periastr      /   in millions of kilometres.
 c
 c=======================================================================
@@ -41,5 +41,5 @@
 c   ----------
 
-      REAL paphelie,pperiheli,pyear_day,pperi_day,pobliq
+      REAL papoastr,pperiastr,pyear_day,pperi_day,pobliq
 
 c   Local:
@@ -53,16 +53,16 @@
       pi=2.*asin(1.)
 
-      aphelie =paphelie
-      periheli=pperiheli
+      apoastr =papoastr
+      periastr=pperiastr
       year_day=pyear_day
       obliquit=pobliq
       peri_day=pperi_day
 
-      PRINT*,'Perihelie en Mkm  ',periheli
-      PRINT*,'Aphelise  en Mkm  ',aphelie 
-      PRINT*,'obliquite en degres  :',obliquit
+      PRINT*,'Periastron in Mkm  ',periastr
+      PRINT*,'Apoastron in Mkm  ',apoastr 
+      PRINT*,'Obliquity in degrees  :',obliquit
       unitastr=149.597927
-      e_elips=(aphelie-periheli)/(periheli+aphelie)
-      p_elips=0.5*(periheli+aphelie)*(1-e_elips*e_elips)/unitastr
+      e_elips=(apoastr-periastr)/(periastr+apoastr)
+      p_elips=0.5*(periastr+apoastr)*(1-e_elips*e_elips)/unitastr
 
       print*,'e_elips',e_elips
@@ -97,5 +97,5 @@
 
       timeperi=2.*atan(sqrt((1.+e_elips)/(1.-e_elips))*tan(zx0/2.))
-      PRINT*,'longitude solaire du perihelie timeperi = ',timeperi
+      PRINT*,'Solar longitude of periastron timeperi = ',timeperi
 
       RETURN
Index: /trunk/LMDZ.GENERIC/libf/phystd/initracer.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 253)
@@ -62,5 +62,4 @@
 
 
-        print*,'nqmx=',nqmx
 ! Identify tracers by their names: (and set corresponding values of mmol)
       ! 0. initialize tracer indexes to zero:
@@ -92,6 +91,6 @@
 
 
-      print*,'Setting dustbin = 0 in initracer.F'
-      dustbin=0
+      !print*,'Setting dustbin = 0 in initracer.F'
+      !dustbin=0
 
       ! 1. find dust tracers
@@ -222,25 +221,24 @@
 c$$$      else
 
-      print*,dustbin
-
-       if (dustbin.gt.1) then
-        print*,'ATTENTION:',
-     $   ' properties of dust need input in initracer !!!'
-        stop
-
-       else if (dustbin.eq.1) then
-
-c       This will be used for 1 dust particle size:
-c       ------------------------------------------
-        radius(igcm_dustbin(1))=3.e-6
-        Qext(igcm_dustbin(1))=3.04
-        alpha_lift(igcm_dustbin(1))=0.0e-6
-        alpha_devil(igcm_dustbin(1))=7.65e-9
-        qextrhor(igcm_dustbin(1))=(3./4.)*Qext(igcm_dustbin(1))
-     &                         /(rho_dust*radius(igcm_dustbin(1)))
-        rho_q(igcm_dustbin(1))=rho_dust
-
-       endif
-!      end if    ! (doubleq)
+
+c$$$       if (dustbin.gt.1) then
+c$$$        print*,'ATTENTION:',
+c$$$     $   ' properties of dust need input in initracer !!!'
+c$$$        stop
+c$$$
+c$$$       else if (dustbin.eq.1) then
+c$$$
+c$$$c       This will be used for 1 dust particle size:
+c$$$c       ------------------------------------------
+c$$$        radius(igcm_dustbin(1))=3.e-6
+c$$$        Qext(igcm_dustbin(1))=3.04
+c$$$        alpha_lift(igcm_dustbin(1))=0.0e-6
+c$$$        alpha_devil(igcm_dustbin(1))=7.65e-9
+c$$$        qextrhor(igcm_dustbin(1))=(3./4.)*Qext(igcm_dustbin(1))
+c$$$     &                         /(rho_dust*radius(igcm_dustbin(1)))
+c$$$        rho_q(igcm_dustbin(1))=rho_dust
+c$$$
+c$$$       endif
+c$$$!      end if    ! (doubleq)
 
 c     Initialization for water vapor
@@ -260,8 +258,16 @@
 c        opacity not always realistic.
 
+
+!         if(ngridmx.eq.1)
+
+
+!     to be modified for BC+ version?
          do ig=1,ngridmx
            if (ngridmx.ne.1) watercaptag(ig)=.false.
            dryness(ig) = 1.
          enddo
+
+
+
 
 !         IF (caps) THEN
